View Issue Details

IDProjectCategoryView StatusLast Update
0008318VCOMPONENT-VKERNELSQL Functionspublic2018-07-20 11:10
ReporterIvan SmahinAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version8.3.xFixed in Version8.3.x 
Summary0008318: "Simple" DateTrunc function.
DescriptionReported by Scott Roberts


0
Votes
I'm expecting the function to truncate everything after the specified datePart. Below is what I expect to see:


For (kMDY) 10/21/1997 19:31:59:325 (kYMD) 1997/10/21 19:31:59:325

Truncate to year - 01/01/1997 00:00:00:000 1997/01/01 00:00:00:000
Truncate to month - 10/01/1997 00:00:00:000 1997/10/01 00:00:00:000
Truncate to day - 10/21/1997 00:00:00:000 1997/10/21 00:00:00:000
Truncate to hour - 10/21/1997 19:00:00:000 1997/10/21 19:00:00:000
Truncate to minute - 10/21/1997 19:31:00:000 1997/10/21 19:31:00:000
Truncate to second - 10/21/1997 19:31:59:000 1997/10/21 19:31:59:000
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2018-07-20 11:10

administrator   ~0010283

I think this is NEW, but not Fixed :)

Issue History

Date Modified Username Field Change
2018-07-20 09:41 Ivan Smahin New Issue
2018-07-20 09:41 Ivan Smahin Status new => assigned
2018-07-20 09:41 Ivan Smahin Assigned To => Ivan Smahin
2018-07-20 09:43 Ivan Smahin Status assigned => resolved
2018-07-20 09:43 Ivan Smahin Fixed in Version => 8.3.x
2018-07-20 09:43 Ivan Smahin Resolution open => fixed
2018-07-20 11:10 Ruslan Zasukhin Note Added: 0010283